/*
 * Guifications - The end all, be all, toaster popup plugin
 * Copyright (C) 2003-2005 Gary Kramlich
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GF_COMPAT_H
#define GF_COMPAT_H

/* we need the GAIM_VERSION_CHECK macro to make these macros below work */
#include <version.h>

#if GAIM_VERSION_CHECK(2,0,0)

/* This needs to be updated when it's added back into gaim... */
# define GF_IS_GTK_WINDOW(win) \
	TRUE

# define GfConvWindow	GaimGtkWindow

# define gf_find_conversation(type, name, account) \
	gaim_find_conversation_with_account((type), (name), (account))

# define gf_conv_get_window(conv) \
	GAIM_GTK_CONVERSATION((conv))->win

# define gf_conv_window_switch(win, conv) \
	gaim_gtk_conv_window_switch_gtkconv((win), GAIM_GTK_CONVERSATION((conv)))

# define gf_conv_window_get_gtk_window(win) \
	(win)->window

# define gf_prefs_connect_callback(plugin, pref, cb, data) \
	gaim_prefs_connect_callback((plugin), (pref), (cb), (data))

# define gf_mkstemp(path) gaim_mkstemp((path), FALSE)

# define gf_presence_is_valid(account) \
	gaim_presence_is_available((account)->presence)

#else /* GAIM_VERSION_CHECK(2,0,0) */

#define GaimMenuAction GaimBlistNodeAction

# define GF_IS_GTK_WINDOW(win) \
	GAIM_IS_GTK_WINDOW((win))

# define GfConvWindow	GaimConvWindow

# define gf_find_conversation(type, name, account) \
	gaim_find_conversation_with_account((name), (account))

# define GAIM_CONV_ANY	(4)

# define gf_conv_get_window(conv) \
	gaim_conversation_get_window((conv))

# define gf_conv_window_switch(win, conv) \
	gaim_conv_window_switch_conversation(win, gaim_conversation_get_index((conv)))

# define gaim_gtk_conv_window_raise(win) \
	gaim_conv_window_raise((win))

# define gf_conv_window_get_gtk_window(win) \
	GAIM_GTK_WINDOW(win)->window

# define gaim_menu_action_new(string, cb, foo, blah) \
	gaim_blist_node_action_new((string), (void *)(cb), NULL)

# define gf_prefs_connect_callback(plugin, pref, cb, data) \
	gaim_prefs_connect_callback((pref), (void *)(cb), (data))

# define gf_get_warning_level(buddy) (buddy)->evil

# define gf_mkstemp(path) gaim_mkstemp((path))

# define gaim_gtk_create_prpl_icon(account) create_prpl_icon((account))

# define gf_presence_is_valid(account) (!(account)->gc->away_state)

# define GAIM_CONV_TYPE_IM GAIM_CONV_IM
# define GAIM_CONV_TYPE_CHAT GAIM_CONV_CHAT
# define GAIM_CONV_TYPE_ANY	GAIM_CONV_ANY

# define gaim_gtk_pounce_editor_show(account, name, curpounce) \
	gaim_gtkpounce_dialog_show((account), (name), (curpounce))

#endif /* GAIM_VERSION_CHECK(2,0,0) */

#endif /* GF_COMPAT_H */
